Bug 8012 - segfault
: segfault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/guile16)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-19 16:48 by
Modified: 2006-12-18 18:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-19 16:48:45
похоже в guile неверное торчат концы от GOOPS.

$ guile
guile> (class-of 3)
Segmentation fault

однако:
$ guile
guile> (use-modules (oop goops))
guile> (class-of 3)
#<<class> <integer> 8084270>
------- Comment #1 From 2006-12-17 21:41:51 -------
Это fixed?

home:~> rpm -q guile16
guile16-1.6.8-alt1.1
home:~> guile
guile> (class-of 3)
standard input:1:1: In procedure class-of in expression (class-of 3):
standard input:1:1: GOOPS not loaded yet.
ABORT: (misc-error)

Type "(backtrace)" to get more information or "(debug)" to enter the debugger.
guile> 

home:~> guile
guile> (use-modules (oop goops))
guile> (class-of 3)
#<<class> <integer> 80842c0>
guile> 
------- Comment #2 From 2006-12-18 08:41:48 -------
Видимо. В любом случае, у меня оно тоже не воспроизводится, ставлю fixed, жду
когда Стас скаже своё веское слово.
------- Comment #3 From 2006-12-18 18:16:35 -------
ну нет, так нет ;)